package com.zayac.admin.agent.service;

import com.zayac.admin.agent.model.entity.FinanceDO;
import top.continew.starter.extension.crud.service.BaseService;
import com.zayac.admin.agent.model.query.FinanceQuery;
import com.zayac.admin.agent.model.req.FinanceReq;
import com.zayac.admin.agent.model.resp.FinanceDetailResp;
import com.zayac.admin.agent.model.resp.FinanceResp;

import java.util.List;

/**
 * 代理线财务报业务接口
 *
 * @author zayac
 * @since 2024/06/04 17:14
 */
public interface FinanceService extends BaseService<FinanceResp, FinanceDetailResp, FinanceQuery, FinanceReq> {
    void addAll(List<FinanceDO> financeReqList);
}