package com.zayac.admin.agent.service;

import com.zayac.admin.agent.model.entity.StatsDO;
import top.continew.starter.extension.crud.service.BaseService;
import com.zayac.admin.agent.model.query.StatsQuery;
import com.zayac.admin.agent.model.req.StatsReq;
import com.zayac.admin.agent.model.resp.StatsDetailResp;
import com.zayac.admin.agent.model.resp.StatsResp;

import java.util.List;

/**
 * 代理每日数据业务接口
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
public interface StatsService extends BaseService<StatsResp, StatsDetailResp, StatsQuery, StatsReq> {
    void addAll(List<StatsDO> list);
}