package com.zayac.admin.agent.service.impl;

import lombok.RequiredArgsConstructor;

import org.springframework.stereotype.Service;

import top.continew.starter.extension.crud.service.impl.BaseServiceImpl;
import com.zayac.admin.agent.mapper.DailyStatsMapper;
import com.zayac.admin.agent.model.entity.StatsDO;
import com.zayac.admin.agent.model.query.StatsQuery;
import com.zayac.admin.agent.model.req.StatsReq;
import com.zayac.admin.agent.model.resp.StatsDetailResp;
import com.zayac.admin.agent.model.resp.StatsResp;
import com.zayac.admin.agent.service.StatsService;

import java.util.List;

/**
 * 代理每日数据业务实现
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Service
@RequiredArgsConstructor
public class DailyStatsServiceImpl extends BaseServiceImpl<DailyStatsMapper, StatsDO, StatsResp, StatsDetailResp, StatsQuery, StatsReq> implements StatsService {
    @Override
    public void addAll(List<StatsDO> list) {
        baseMapper.insertBatch(list);
    }
}