package com.zayac.admin.agent.service.impl;

import lombok.RequiredArgsConstructor;

import org.springframework.stereotype.Service;

import top.continew.starter.extension.crud.service.impl.BaseServiceImpl;
import com.zayac.admin.agent.mapper.FinanceSumMapper;
import com.zayac.admin.agent.model.entity.FinanceSumDO;
import com.zayac.admin.agent.model.query.FinanceSumQuery;
import com.zayac.admin.agent.model.req.FinanceSumReq;
import com.zayac.admin.agent.model.resp.FinanceSumDetailResp;
import com.zayac.admin.agent.model.resp.FinanceSumResp;
import com.zayac.admin.agent.service.FinanceSumService;

/**
 * 财务报汇总业务实现
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Service
@RequiredArgsConstructor
public class FinanceSumServiceImpl extends BaseServiceImpl<FinanceSumMapper, FinanceSumDO, FinanceSumResp, FinanceSumDetailResp, FinanceSumQuery, FinanceSumReq> implements FinanceSumService {}