package com.zayac.admin.agent.model.query;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.math.BigDecimal;

import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import top.continew.starter.data.core.annotation.Query;
import top.continew.starter.data.core.enums.QueryType;

/**
 * 财务报汇总查询条件
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Data
@Schema(description = "财务报汇总查询条件")
public class FinanceSumQuery implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
}