package com.zayac.admin.agent.service.impl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import lombok.RequiredArgsConstructor;

import org.springframework.stereotype.Service;

import top.continew.starter.extension.crud.service.impl.BaseServiceImpl;
import com.zayac.admin.agent.mapper.FinanceMapper;
import com.zayac.admin.agent.model.entity.FinanceDO;
import com.zayac.admin.agent.model.query.FinanceQuery;
import com.zayac.admin.agent.model.req.FinanceReq;
import com.zayac.admin.agent.model.resp.FinanceDetailResp;
import com.zayac.admin.agent.model.resp.FinanceResp;
import com.zayac.admin.agent.service.FinanceService;

import java.util.List;

/**
 * 代理线财务报业务实现
 *
 * @author zayac
 * @since 2024/06/04 17:14
 */
@Service
@RequiredArgsConstructor
public class FinanceServiceImpl extends BaseServiceImpl<FinanceMapper, FinanceDO, FinanceResp, FinanceDetailResp, FinanceQuery, FinanceReq> implements FinanceService {
    public void addAll(List<FinanceDO> financeReqList){
        baseMapper.insertBatch(financeReqList);
    }

}