package com.zayac.admin.req.team;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TeamFinanceReq {
    private String agentName;

    @JsonFormat(pattern = "yyyy-MM")
    private LocalDate commissionDate;
    private boolean isRest;
    private int pageNum;
    private int pageSize;
}
